### Enumeration

# Vips ForeignSaveable

#### Declaration

    flags Vips.ForeignSaveable

#### Description [src]

The set of image types supported by a saver.

See also

`VipsForeignSave`.

#### Members

`VIPS_FOREIGN_SAVEABLE_ANY`

  Saver supports everything (eg. TIFF).

  - Value: `0`
  - Available since: 8.0
`VIPS_FOREIGN_SAVEABLE_MONO`

  1 band.

  - Value: `1`
  - Available since: 8.0
`VIPS_FOREIGN_SAVEABLE_RGB`

  3 bands.

  - Value: `2`
  - Available since: 8.0
`VIPS_FOREIGN_SAVEABLE_CMYK`

  4 bands.

  - Value: `4`
  - Available since: 8.0
`VIPS_FOREIGN_SAVEABLE_ALPHA`

  An extra band.

  - Value: `8`
  - Available since: 8.0
`VIPS_FOREIGN_SAVEABLE_ALL`

  No description available.

  - Value: `15`
  - Available since: 8.0